Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.widget
Class WidgetUtilities

    java.lang.Object
      edu.stanford.smi.protege.widget.WidgetUtilities

    public class WidgetUtilities

extends Object

A collection of utilities useful for creating and working with widgets.

Author:
  Ray Fergerson

Constructor Summary
`WidgetUtilities()`

Method Summary
`static ClsWidget` | `createClsWidget(WidgetDescriptor descriptor, boolean isDesignTime, Project project, Cls cls)`
`static SlotWidget` | `createSlotWidget(WidgetDescriptor descriptor, boolean isDesignTime, Project project, Cls cls, Slot slot)`
`static TabWidget` | `createTabWidget(WidgetDescriptor descriptor, Project project)`
`static boolean` | `isSuitableExport(Project project, ExportPlugin exportPlugin)`
`static boolean` | `isSuitableTab(String tabWidgetClassName, Project project, Collection errors)`
`static void` | `setEnabledInstanceDisplay(InstanceDisplay instanceDisplay, boolean enabled)` Sets all the widgets of an instance form to enabled/disabled according to the enabled argument.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WidgetUtilities

    public WidgetUtilities()

Method Detail

### createClsWidget

    public static ClsWidget createClsWidget(WidgetDescriptor descriptor,
                                            boolean isDesignTime,
                                            Project project,
                                            Cls cls)

### createSlotWidget

    public static SlotWidget createSlotWidget(WidgetDescriptor descriptor,
                                              boolean isDesignTime,
                                              Project project,
                                              Cls cls,
                                              Slot slot)

### createTabWidget

    public static TabWidget createTabWidget(WidgetDescriptor descriptor,
                                            Project project)

### isSuitableTab

    public static boolean isSuitableTab(String tabWidgetClassName,
                                        Project project,
                                        Collection errors)

### setEnabledInstanceDisplay

    public static void setEnabledInstanceDisplay(InstanceDisplay instanceDisplay,
                                                 boolean enabled)

  Sets all the widgets of an instance form to enabled/disabled according to the enabled argument.

  Parameters:
    `instanceDisplay` -
    `enabled` -

### isSuitableExport

    public static boolean isSuitableExport(Project project,
                                           ExportPlugin exportPlugin)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.